# Testing the plugin

## End to end

Prepare a python environment to execute the E2E tests suite

```shell
python3 -m venv venv
source venv/bin/activate
pip install -r tests/requirements.e2e.txt
python -m unittest discover tests/e2e
```


## Run Robot Framework tests
###
1. Start the netbox instance:
```sudo TAG=latest docker-compose -f docker-compose.yml -f docker-compose.test.yml up -d ```
###
2. Check in which PORT Netbox is running.
###
3. Go to the test folder and change the value of the variable `PORT` in the varibales.yaml file to the correct port number used by netbox
###
4. Prepare a python environment, install aditional settings and run the tests:
```
python3 -m venv venv
source ./venv/bin/activate
pip install robotframework robotframework-requests pyyaml
robot ./tests/robot/
```
###
5. Open the file `report.html` in the browser to check the test results.