*** Settings ***
Library  RequestsLibrary
Variables    variables.yaml

*** Variables ***
${BASE_URL}  http://${HOST}:${PORT}
${TOKEN}    Token ${API_TOKEN}

*** Test Cases ***

TC03 Check Metrics Page
    ${auth}=  Evaluate  ("${USER_API}", "${PASSWORD_API}")
    &{HEADERS}    Create Dictionary    Authorization=${TOKEN} Content-Type=${CONTENT_TYPE}
    Create Session    robot_test_session    ${BASE_URL}    headers=${HEADERS} 
    ${response}=    GET On session    robot_test_session    /${PAGE}    headers=${HEADERS}    auth=${auth}    expected_status=200
    Log to console    ${\n}
    Check metrics response status "${response.ok}" "${PAGE}"
    Log to console    ${\n}

TC03.1 Check Nonexistent Page
    ${auth}=  Evaluate  ("${USER_API}", "${PASSWORD_API}")
    &{HEADERS}    Create Dictionary    Authorization=${TOKEN} Content-Type=${CONTENT_TYPE}
    ${response}=    GET On session    robot_test_session    /api/plugins/nonexistent_plugin    auth=${auth}    headers=${HEADERS}    expected_status=404
    Log to console    ${\n}
    Check metrics response status "${response.ok}" "nonexistent"
    Log to console    ${\n}

*** Keywords ***

Check metrics response status "${response.ok}" "${PAGE}"
    IF    "${response.ok}" == "True"
        Log to console    ${\n}${PAGE} Ready
        Log    ${\n}${PAGE} Ready
    ELSE
        Log to console    ${\n}${PAGE} Not Ready
        Log    ${\n}${PAGE} Not Ready
    END